namespace SmallInjector.Tests;

public class Tests
{
    [SetUp]
    public void Setup() { }

    [Test]
    public void TestInstatiationAndRegistering()
    {
        IContainer container = new Container();
        container.RegisterType(true, container);
        Assert.That(container.IsRegistered(typeof(IContainer)), Is.True);
        var resolved = container.Resolve<IContainer>();
        Assert.That(resolved, Is.EqualTo(container));
    }
}
